<?php

namespace TPS\Shop\Providers;

use Illuminate\Support\Facades\Event;
use Illuminate\Support\ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot(){
        Event::listen('shop.register.verify', 'TPS\Shop\Listeners\Customer@sendVeificationCode');
        Event::listen('shop.register.checkVerify', 'TPS\Shop\Listeners\Customer@checkVeificationCode');
    }
}